﻿using MindFusion.Diagramming.Wpf;
using System.Windows;

namespace MindfusionNewVersionIssues
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            const int Bottom = 0;
            const int Top = 1000;

            InitializeComponent();

            var diagram = DiagramView.Diagram;

            diagram.Bounds = new Rect(0, 0, 2000, 4000);
            DiagramView.ZoomFactor = 100;

            DiagramView.Background = System.Windows.Media.Brushes.Red;
            DiagramView.Diagram = diagram;
            DiagramView.EnableVirtualization = false;
            DiagramView.Margin = new Thickness(64);

            var random = new Random();

            DiagramView.CustomBehavior = new MindfusionMoveNodesBehavior(DiagramView);

            var imageNode = new SvgNode()
            {
                Transparent = true,
            };
            imageNode.Image = ImageUtils.CreateImage(".\\images\\controller.png");

            diagram.Nodes.Add(imageNode);
            diagram.Nodes.Last().Move(random.Next(Bottom, Top), random.Next(Bottom, Top));
        }
    }
}